body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 8vh auto;
    font-family: "メイリオ", "Meiryo", "sans-serif";
    background: url('../img/background_image.png') no-repeat center center fixed;
    background-size: cover;
    color: white;
}

.title {
    text-align: center;
    margin-bottom: 12%;
    font-size: 6vh;
}

.sub-title {
    text-align: center;
    margin-bottom: 3%;
    font-size: 5vh;
}

h2 {
    text-align: center;
    color: black;
    font-size: 1.5vh;
}

.button-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr)); /* カラムをフレキシブルに調整 */
    gap: 2vw;
    justify-items: center;
    margin: 2vw;
    padding: 1vw
}

button {
    width: 100%; 
    padding-bottom: 100%;
    border: none;
    border-radius: 1vw;
    background: white;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: transform 0.4s, box-shadow 0.3s;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
}

button img.button-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 1vw;
}

button span {
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 1vw 0;
    border-radius: 0 0 1vw 1vw;
    font-size: 22px;
}

button:hover {
    background-color: #0277bd;
}

button:active {
    transform: translateY(4px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.logo {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin-top: 5%;
    margin-bottom: 5%;
}
  
.logo img {
    max-width: 100%;
    height: auto;
    width: 20%;
} 